Bug 195349 - [Apple Pay] Untangle PKPaymentAuthorizationViewController from WebPaymentCoordinatorProxy
Summary: [Apple Pay] Untangle PKPaymentAuthorizationViewController from WebPaymentCoor...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Andy Estes
URL:
Keywords: InRadar
Depends on:
Blocks: 195078
  Show dependency treegraph
 
Reported: 2019-03-05 18:58 PST by Andy Estes
Modified: 2019-03-07 15:30 PST (History)
12 users (show)

See Also:


Attachments
Patch (111.29 KB, patch)
2019-03-05 19:03 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (111.38 KB, patch)
2019-03-05 19:33 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (111.71 KB, patch)
2019-03-05 20:04 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (114.84 KB, patch)
2019-03-06 15:34 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (115.01 KB, patch)
2019-03-06 16:02 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (115.02 KB, patch)
2019-03-06 16:16 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (114.46 KB, patch)
2019-03-07 11:32 PST, Andy Estes
no flags Details | Formatted Diff | Diff
Patch (114.74 KB, patch)
2019-03-07 13:56 PST, Andy Estes
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Estes 2019-03-05 18:58:53 PST
[Apple Pay] Untangle PKPaymentAuthorizationViewController from WebPaymentCoordinatorProxy
Comment 1 Andy Estes 2019-03-05 19:03:03 PST Comment hidden (obsolete)
Comment 2 Andy Estes 2019-03-05 19:33:25 PST Comment hidden (obsolete)
Comment 3 Radar WebKit Bug Importer 2019-03-05 19:34:19 PST
<rdar://problem/48625510>
Comment 4 Build Bot 2019-03-05 19:35:31 PST Comment hidden (obsolete)
Comment 5 Andy Estes 2019-03-05 20:04:09 PST Comment hidden (obsolete)
Comment 6 Build Bot 2019-03-05 20:06:51 PST Comment hidden (obsolete)
Comment 7 Andy Estes 2019-03-06 15:34:12 PST Comment hidden (obsolete)
Comment 8 Build Bot 2019-03-06 15:36:17 PST Comment hidden (obsolete)
Comment 9 Andy Estes 2019-03-06 16:02:28 PST Comment hidden (obsolete)
Comment 10 Build Bot 2019-03-06 16:05:45 PST Comment hidden (obsolete)
Comment 11 Andy Estes 2019-03-06 16:16:55 PST
Created attachment 363808 [details]
Patch
Comment 12 Build Bot 2019-03-06 16:22:20 PST Comment hidden (obsolete)
Comment 13 Alex Christensen 2019-03-07 11:24:31 PST
Comment on attachment 363808 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=363808&action=review

> Source/WebKit/Platform/cocoa/PaymentAuthorizationViewController.h:49
> +#if PLATFORM(IOS_FAMILY)
> +    PaymentAuthorizationViewController(PaymentAuthorizationPresenter::Client&, PKPaymentRequest *);
> +#endif
> +#if PLATFORM(MAC)
> +    PaymentAuthorizationViewController(PaymentAuthorizationPresenter::Client&, PKPaymentRequest *, PKPaymentAuthorizationViewController *);
> +#endif

This could be a default parameter.
Comment 14 Andy Estes 2019-03-07 11:32:37 PST Comment hidden (obsolete)
Comment 15 Build Bot 2019-03-07 11:34:44 PST Comment hidden (obsolete)
Comment 16 Andy Estes 2019-03-07 13:56:54 PST
Created attachment 363923 [details]
Patch
Comment 17 Build Bot 2019-03-07 13:59:40 PST
Attachment 363923 [details] did not pass style-queue:


ERROR: Source/WebKit/Shared/ApplePay/WebPaymentCoordinatorProxy.h:183:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
Total errors found: 1 in 20 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 18 WebKit Commit Bot 2019-03-07 15:30:48 PST
Comment on attachment 363923 [details]
Patch

Clearing flags on attachment: 363923

Committed r242616: <https://trac.webkit.org/changeset/242616>
Comment 19 WebKit Commit Bot 2019-03-07 15:30:50 PST
All reviewed patches have been landed.  Closing bug.